
.main-navigation {
	clear: both;
	display: flex;
	align-items: center;
	justify-content: space-between;
	width: 100%;
	min-height: 5em;
	box-shadow: 0 14px 15px rgba(0,0,0,.06);
	background-color: #fff;

	ul {
		display: none;
		list-style: none;
		margin: 0;
		padding-left: 0;

		ul {
			box-shadow: 0 3px 3px rgba(0, 0, 0, 0.2);
			float: left;
			position: absolute;
			top: 100%;

			ul {
				top: 0;
			}

			li {
				&:hover > ul,
				&.focus > ul {
					left: 100%;
				}
			}

			a {
				width: 200px;
			}

			:hover > a,
			.focus > a {
			}

			a:hover,
			a.focus {
			}
		}

		li:hover > ul,
		li.focus > ul {
			left: auto;
		}
	}

	li {
		float: left;
		position: relative;
		margin-left: 1em;
		transition: .3s;

		$colors: #ddd324, #709fb5, #d14b34, #b59670, #859ea3, #f8c2cc;
		$repeat: 5;

		@for $i from 1 through $repeat {
			&:nth-child(#{$i}) {
				background-color: nth($colors, $i) !important;
			}
		}

		&:hover {
			transform: rotate(5deg);

			a {
				transform: rotate(-5deg);
			}
		}
	}

	a {
		display: inline-block;
		text-decoration: none;
		font-size: .875rem;
		text-transform: uppercase;
		color: #fff;
		font-weight: bold;
		letter-spacing: 4px;
		padding: 1rem;
		transition: .3s;
	}

	.current_page_item > a,
	.current-menu-item > a,
	.current_page_ancestor > a,
	.current-menu-ancestor > a {
	}

	.site-title {
		order: 0;
		margin: 0 1em;
		a {
			text-decoration: none;
			font-size: 1.25rem;
			letter-spacing: .025em;
			color: #000;
			font-weight: 600;
		}
	}

	@media screen and (min-width: 37.5em) {
		& {
			justify-content: flex-start;
		}
	}
}

/* Small menu. */
#site-navigation {
	position: relative;

	.button-toggle {
		z-index: 5;
		padding: .5rem;

		.burger-icon {
			@include burger(25px, 3px, 5px, #222);
		}

		&.active {
			.burger-icon {
				@include burger-to-cross;
			}
		}
	}

	.menu-toggle {
		position: absolute;
		bottom: -80px;
		left: 50%;
		transform: translateX(-50%);

		.main-navigation.is-opened {
			ul {
				display: flex;
				flex-direction: column;
				align-items: center;
			}
		}
	}
}

@media screen and (min-width: 768px) {
	.menu-toggle {
		display: none;
	}
	.main-navigation ul {
		display: block;
	}
}
